ASSEMBLY_HUB_CONSTRUCTOR(1)

NAME
assembly_hub_constructor.pl - Build UCSC genome browser Assembly Hubs from genomic sequence and annotation

SYNOPSIS
assembly_hub_constructor.pl [--fa FILE] [--infolder PATH] [--out PATH] [--baseurl -URL] [--bigwigs -URL,URL#URL] [options]

DESCRIPTION
The UCSC genome browser offers the possibility to visualize any organism (including organisms that are not included in the standard UCSC browser bundle) through hso called 'Assembly Hubs'. This script constructs Assembly Hubs from genomic sequence and annotation data.

OPTIONS

--fa -f
    Input file in Fasta format.

--infolder -i
    Directory which contains all track files in BED/bigBed format. The resulting Assembly Hub will contain these files in their respective bigFile version.

--out -o
    Destination folder for the output Assembly Hub.

--baseurl -b
    BaseURL used within the Assembly Hub. This URL will be included verbatim in the resulting Assembly Hub. It is crucial that this URl is valid, else the resulting Assembly Hub will be broken.

--bigwigs -w
    URLs pointing to big wig files to be included in the trackhub. Multiple URLs are separated by the star character #. It is possible to create a multiwig container by providing 2 URLs instead of one separated by comma character ,. E.g. http://foo.com/bar.bw,http://foo.com/bar2.bw#http://foo.com/bar3.bw yields a multi big wig container displaying bar as positive reads in green and bar2 as negative 3 red colored reads in the same track and additionally bar3 in an own track colored blue.

--help -h
    Print short help.

--man
    Prints the manual page and exits.

SEE ALSO
The UCSC Genome Wiki <http://genomewiki.ucsc.edu/index.php/Assembly_Hubs> has extensive documentation for Assembly Hubs.

AUTHORS

Florian Eggenhofer <florian.eggenhofer@univie.ac.at>
Michael T. Wolfinger <michael@wolfinger.eu>